## MgWorkLayout

MgWorkLayout — Widget rendering a MgCustomLayout specification

## Synopsis

    guint       mg_work_layout_get_type         (void);
    GtkWidget*  mg_work_layout_new              (MgCustomLayout *layout);
    GtkWidget*  mg_work_layout_lookup_widget    (MgWorkLayout *layout,
                                                 const gchar *widget_name);

## Description

## Details

### mg_work_layout_get_type ()

    guint       mg_work_layout_get_type         (void);

Returns : |

### mg_work_layout_new ()

    GtkWidget*  mg_work_layout_new              (MgCustomLayout *layout);

Creates a new MgWorkLayout widget.

`layout` : | a MgWorkLayout object
Returns : | the new widget

### mg_work_layout_lookup_widget ()

    GtkWidget*  mg_work_layout_lookup_widget    (MgWorkLayout *layout,
                                                 const gchar *widget_name);

Retreives the GtkWidget which name is `widget_name`, if `layout` uses a Glade file as layout.

`layout` : | a MgWorkLayout widget
`widget_name` : | a string
Returns : | the requested GtkWidget, or `NULL` if not found